Patch-Source: https://gitlab.gnome.org/GNOME/geary/-/commit/9bd4c82952a0a2c3308c5cc86c0b85650c1fb484
Patch-Source: https://gitlab.gnome.org/GNOME/geary/-/commit/0f75e7a84a39492d0748cec2ba6028e08cae3644
From 0f75e7a84a39492d0748cec2ba6028e08cae3644 Mon Sep 17 00:00:00 2001
From: Rico Tzschichholz <ricotz@ubuntu.com>
Date: Sun, 30 Jan 2022 19:54:11 +0100
Subject: [PATCH] Util.Cache.Lru: Workaround missing generic type argument

---
 src/client/util/util-cache.vala | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/src/client/util/util-cache.vala b/src/client/util/util-cache.vala
index f054e32e5..ecc275e84 100644
--- a/src/client/util/util-cache.vala
+++ b/src/client/util/util-cache.vala
@@ -12,7 +12,7 @@ public class Util.Cache.Lru<T> : Geary.BaseObject {
     private class CacheEntry<T> {
 
 
-        public static int lru_compare(CacheEntry<T> a, CacheEntry<T> b) {
+        public static int lru_compare(CacheEntry a, CacheEntry b) {
             if (a.key == b.key) {
                 return 0;
             }
-- 
GitLab

From 9bd4c82952a0a2c3308c5cc86c0b85650c1fb484 Mon Sep 17 00:00:00 2001
From: Rico Tzschichholz <ricotz@ubuntu.com>
Date: Tue, 30 Nov 2021 15:31:31 +0100
Subject: [PATCH] Fix accessibility issues with initializer of constants

---
 src/client/application/application-client.vala | 14 +++++++-------
 1 file changed, 7 insertions(+), 7 deletions(-)

diff --git a/src/client/application/application-client.vala b/src/client/application/application-client.vala
index 6ce19ce2a..e6ba85331 100644
--- a/src/client/application/application-client.vala
+++ b/src/client/application/application-client.vala
@@ -8,16 +8,16 @@
 
 // Defined by CMake build script.
 extern const string GETTEXT_PACKAGE;
-extern const string _APP_ID;
-extern const string _BUILD_ROOT_DIR;
-extern const string _GSETTINGS_DIR;
-extern const string _INSTALL_PREFIX;
-extern const string _NAME_SUFFIX;
+public extern const string _APP_ID;
+public extern const string _BUILD_ROOT_DIR;
+public extern const string _GSETTINGS_DIR;
+public extern const string _INSTALL_PREFIX;
+public extern const string _NAME_SUFFIX;
 extern const string _PLUGINS_DIR;
 extern const string _PROFILE;
 extern const string _REVNO;
-extern const string _SOURCE_ROOT_DIR;
-extern const string _VERSION;
+public extern const string _SOURCE_ROOT_DIR;
+public extern const string _VERSION;
 extern const string _WEB_EXTENSIONS_DIR;
 
 
-- 
GitLab

